# -*- encoding: utf-8 -*-
# stub: ocean-dynamo 1.9.1 ruby lib

Gem::Specification.new do |s|
  s.name = "ocean-dynamo".freeze
  s.version = "1.9.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Peter Bengtson".freeze]
  s.date = "2018-10-12"
  s.description = "== OceanDynamo\n\nAs one important use case for OceanDynamo is to facilitate the conversion of SQL\ndatabases to no-SQL DynamoDB databases, it is important that the syntax and semantics\nof OceanDynamo are as close as possible to those of ActiveRecord. This includes\ncallbacks, exceptions and method chaining semantics. OceanDynamo follows this pattern\nclosely and is of course based on ActiveModel.\n\n\nThe attribute and persistence layer of OceanDynamo is modeled on that of ActiveRecord:\nthere's +save+, +save!+, +create+, +update+, +update!+, +update_attributes+, +find_each+,\n+destroy_all+, +delete_all+, +read_attribute+, +write_attribute+ and all the other\nmethods you're used to. The design goal is always to implement as much of the ActiveRecord\ninterface as possible, without compromising scalability. This makes the task of switching\nfrom SQL to no-SQL much easier.\n\n\nOceanDynamo uses only primary indices to retrieve related table items and collections,\nwhich means it will scale without limits.\n\n\nOceanDynamo is fully usable as an ActiveModel and can be used by Rails\ncontrollers. Thanks to its structural similarity to ActiveRecord, OceanDynamo works\nwith FactoryBot.\n\n\nSee also Ocean, a Rails framework for creating highly scalable SOAs in the cloud, in which\nocean-dynamo is used as a central component: http://wiki.oceanframework.net\n".freeze
  s.email = ["peter@peterbengtson.com".freeze]
  s.homepage = "https://gitlab.com/ocean-dev/ocean-dynamo".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "OceanDynamo is a massively scalable Amazon DynamoDB near drop-in replacement for ActiveRecord.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<aws-sdk-dynamodb>.freeze, ["~> 1"])
    s.add_runtime_dependency(%q<activemodel>.freeze, ["~> 5.0.0"])
    s.add_runtime_dependency(%q<activesupport>.freeze, ["~> 5.0.0"])
    s.add_development_dependency(%q<rails>.freeze, ["~> 5.0.0"])
    s.add_development_dependency(%q<sqlite3>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec-rails>.freeze, [">= 0"])
    s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_development_dependency(%q<factory_bot_rails>.freeze, ["~> 4"])
    s.add_development_dependency(%q<ocean-rails>.freeze, [">= 0"])
  else
    s.add_dependency(%q<aws-sdk-dynamodb>.freeze, ["~> 1"])
    s.add_dependency(%q<activemodel>.freeze, ["~> 5.0.0"])
    s.add_dependency(%q<activesupport>.freeze, ["~> 5.0.0"])
    s.add_dependency(%q<rails>.freeze, ["~> 5.0.0"])
    s.add_dependency(%q<sqlite3>.freeze, [">= 0"])
    s.add_dependency(%q<rspec-rails>.freeze, [">= 0"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_dependency(%q<factory_bot_rails>.freeze, ["~> 4"])
    s.add_dependency(%q<ocean-rails>.freeze, [">= 0"])
  end
end
